#! /bin/sh
# /etc/init.d/wisebed.sh
#

# Carry out specific functions when asked to by the system
case "$1" in
  start)
    echo "#####################################################"
    $0 stop
    $0 clean
    echo "Starting WISEBED (sub)systems ..."
    /opt/TARWISServer/UBERN_TESTBED_IMPLEMENTATION/runUBERNSystem.sh
    echo "Starting TARWIS ..."
    /opt/TARWISServer/runTARWISServer.sh
    echo "Starting Reservation System ..."
    /opt/RS/runReservationSystem.sh	
    echo "Starting UZL SNAA ..."
    cd /opt/uzl/tr.assembly-0.6.2-SNAPSHOT/bin
    ./tr.snaa-linux-x86-64 start
    echo "#####################################################"
    ;;
  dummy)
    echo "#####################################################"
    $0 stop
    $0 clean
    echo "Starting WISEBED (sub)systems ..."
    /opt/TARWISServer/DUMMY_TESTBED_IMPLEMENTATION/runDummyTestbedImplementation.sh
    echo "Starting TARWIS ..."
    /opt/TARWISServer/runTARWISServer.sh
    echo "Starting Reservation System ..."
    /opt/RS/runReservationSystem.sh 
    echo "#####################################################"
    ;;
  stop)
    echo "#####################################################"
    echo "Stopping WISEBED stuff - all systems and subsystems"
    /opt/TARWISServer/UBERN_TESTBED_IMPLEMENTATION/killallUBERN.sh
    /opt/TARWISServer/DUMMY_TESTBED_IMPLEMENTATION/killall.sh
    /opt/TARWISServer/killall.sh
    /opt/RS/killall.sh
    killall perl >/dev/null 2>&1 & 
    echo "#####################################################"
    ;;
  clean)
    echo "#####################################################"
    echo "Cleaning WISEBED output files"
    /opt/TARWISServer/UBERN_TESTBED_IMPLEMENTATION/cleanOutFilesErrorFiles.sh
    /opt/TARWISServer/cleanOutFilesErrorFiles.sh
    /opt/RS/cleanOutFilesErrorFiles.sh
    echo "#####################################################"
    ;;
  logs)
    echo "#####################################################"
    echo "catting ERRORS:"
    echo "/opt/TARWISServer/UBERN_TESTBED_IMPLEMENTATION"
    cat /opt/TARWISServer/UBERN_TESTBED_IMPLEMENTATION/*.err
    echo ""
    echo ""
    echo "/opt/TARWISServer/"
    cat /opt/TARWISServer/*.err
    echo ""
    echo ""
    echo "DONE DISPLAYING ERRORS:"
    echo "#####################################################"
    ;;
  resetdb)
    $0 stop
    $0 clean
    echo "#####################################################" 
    echo "resetting db's"
    echo "RESERVATION DB" 
    /opt/RS/resetDB.sh    
    echo "EXPERIMENT DB" 
    /opt/TARWISServer/resetDB.sh    
    echo "#####################################################"
    $0 start   
    ;;
  resetdbnp)
    $0 stop
    $0 clean
    echo "#####################################################" 
    echo "resetting db's"
    echo "RESERVATION DB" 
    /opt/RS/resetDB_np.sh    
    echo "EXPERIMENT DB" 
    /opt/TARWISServer/resetDB_np.sh    
    echo "#####################################################"
    $0 start   
    ;;  
  resdb)
    echo "reservation db"
    mysql --user=root --password=wisebed rs_info    
    ;;
  db)
    echo "wsninfo_db db"
    mysql --user=root --password=wisebed wsn_info    
    ;;

  *)
    echo "Usage: /etc/init.d/wisebed.sh {start|stop|clean|logs|resetdb}"
    echo "start: (stops, cleans and) starts all WISEBED TARWIS services"
    echo "stop: stops all WISEBED TARWIS services"
    echo "clean: cleans logfiles of all WISEBED TARWIS services"
    echo "logs: displays logfiles of all WISEBED TARWIS services"
    echo "resetdb: resets db's of all WISEBED TARWIS services (reservation system, TARWIS, etc.)"
    exit 1
    ;;
esac

exit 0

