#!/bin/bash

##########################################################

function readconf() {
    while read line; do
        # skip comments
        [[ ${line:0:1} == "#" ]] && continue 
        # skip empty lines
        [[ -z "$line" ]] && continue
        line=`echo $line | awk -F "#" '{print $1}'`
        # echo line=$line
        key=${line//=*}
        value=${line//*=}
        key=$(echo "$key" | sed -e 's/^[[:space:]]*//' -e 's/[[:space:]]*$//')
        value=$(echo "$value" | sed -e 's/^[[:space:]]*//' -e 's/[[:space:]]*$//')
        # echo key=$key 
        # echo value=$value
        export $key="$value"
    done < "$CONFIG"
}

#########################################################


CONFIG=/etc/RS.conf

readconf

FILE=$RESERVATION_SYSTEM_DIRECTORY/*.out
FILE=`echo $FILE | sed "s/\/\//\//"`
rm -rf $FILE
FILE=$RESERVATION_SYSTEM_DIRECTORY/*.err
FILE=`echo $FILE | sed "s/\/\//\//"`
rm -rf $FILE
FILE=$RESERVATION_SYSTEM_DIRECTORY/*~
FILE=`echo $FILE | sed "s/\/\//\//"`
rm -rf $FILE