require 'ControllerService.rb'
require 'ControllerServiceMappingRegistry.rb'
require 'soap/rpc/driver'

class Controller < ::SOAP::RPC::Driver
  DefaultEndpointUrl = "http://130.92.66.182:3025"

  Methods = [
    [ "",
      "receive",
      [ ["in", "parameters", ["::SOAP::SOAPElement", "urn:ControllerService", "receive"]] ],
      { :request_style =>  :document, :request_use =>  :literal,
        :response_style => :document, :response_use => nil,
        :faults => {} }
    ],
    [ "",
      "receiveStatus",
      [ ["in", "parameters", ["::SOAP::SOAPElement", "urn:ControllerService", "receiveStatus"]] ],
      { :request_style =>  :document, :request_use =>  :literal,
        :response_style => :document, :response_use => nil,
        :faults => {} }
    ],
    [ "",
      "receiveNotification",
      [ ["in", "parameters", ["::SOAP::SOAPElement", "urn:ControllerService", "receiveNotification"]] ],
      { :request_style =>  :document, :request_use =>  :literal,
        :response_style => :document, :response_use => nil,
        :faults => {} }
    ],
    [ "",
      "experimentEnded",
      [ ["in", "parameters", ["::SOAP::SOAPElement", "urn:ControllerService", "experimentEnded"]] ],
      { :request_style =>  :document, :request_use =>  :literal,
        :response_style => :document, :response_use => nil,
        :faults => {} }
    ]
  ]

  def initialize(endpoint_url = nil)
    endpoint_url ||= DefaultEndpointUrl
    super(endpoint_url, nil)
    self.mapping_registry = ControllerServiceMappingRegistry::EncodedRegistry
    self.literal_mapping_registry = ControllerServiceMappingRegistry::LiteralRegistry
    init_methods
  end

private

  def init_methods
    Methods.each do |definitions|
      opt = definitions.last
      if opt[:request_style] == :document
        add_document_operation(*definitions)
      else
        add_rpc_operation(*definitions)
        qname = definitions[0]
        name = definitions[2]
        if qname.name != name and qname.name.capitalize == name.capitalize
          ::SOAP::Mapping.define_singleton_method(self, qname.name) do |*arg|
            __send__(name, *arg)
          end
        end
      end
    end
  end
end

