#!/bin/bash

##########################################################

function readconf() {
    while read line; do
        # skip comments
        [[ ${line:0:1} == "#" ]] && continue
        # skip empty lines
        [[ -z "$line" ]] && continue
        line=`echo $line | awk -F "#" '{print $1}'`
        # echo line=$line
        key=${line//=*}
        value=${line//*=}
        key=$(echo "$key" | sed -e 's/^[[:space:]]*//' -e 's/[[:space:]]*$//')
        value=$(echo "$value" | sed -e 's/^[[:space:]]*//' -e 's/[[:space:]]*$//')
        # echo key=$key
        # echo value=$value
        export $key="$value"
    done < "$CONFIG"
}

#########################################################

CONFIG=/etc/TARWIS.conf

readconf

unset http_proxy
unset HTTP_proxy

EXECUTABLE="$TARWIS_DIRECTORY"/DUMMY_TESTBED_IMPLEMENTATION/main.rb
DUMMY_DIRECTORY="$TARWIS_DIRECTORY"/DUMMY_TESTBED_IMPLEMENTATION/
DUMMY_DIRECTORY=`echo $DUMMY_DIRECTORY | sed 's,//,/,g'`
EXECUTABLE=`echo $EXECUTABLE | sed 's,//,/,g'`

echo "DUMMY_DIRECTORY: $DUMMY_DIRECTORY"

echo "running $EXECUTABLE"

CURRENT_DIR=`pwd`

cd $DUMMY_DIRECTORY

ruby -d $EXECUTABLE

cd $CURRENT_DIR