#!/bin/bash

##########################################################

function readconf() {
    while read line; do
        # skip comments
        [[ ${line:0:1} == "#" ]] && continue 
        # skip empty lines
        [[ -z "$line" ]] && continue
        line=`echo $line | awk -F "#" '{print $1}'`
        # echo line=$line
        key=${line//=*}
        value=${line//*=}
        key=$(echo "$key" | sed -e 's/^[[:space:]]*//' -e 's/[[:space:]]*$//')
        value=$(echo "$value" | sed -e 's/^[[:space:]]*//' -e 's/[[:space:]]*$//')
        # echo key=$key 
        # echo value=$value
        export $key="$value"
    done < "$CONFIG"
}

#########################################################


CONFIG=/etc/TARWIS.conf

readconf


FILE=$TARWIS_DIRECTORY/UBERN_TESTBED_IMPLEMENTATION/LOCAL/*.out
FILE=`echo $FILE | sed "s/\/\//\//"`
rm -f $FILE
FILE=$TARWIS_DIRECTORY/UBERN_TESTBED_IMPLEMENTATION/LOCAL/*.err
FILE=`echo $FILE | sed "s/\/\//\//"`
rm -f $FILE
FILE=$TARWIS_DIRECTORY/UBERN_TESTBED_IMPLEMENTATION/LOCAL/*.txt
FILE=`echo $FILE | sed "s/\/\//\//"`
rm -f $FILE


