#!/bin/bash

##########################################################

function readconf() {
    while read line; do
        [[ ${line:0:1} == "#" ]] && continue
        [[ -z "$line" ]] && continue
        line=`echo $line | awk -F "#" '{print $1}'`
        key=${line//=*}
        value=${line//*=}
        key=$(echo "$key" | sed -e 's/^[[:space:]]*//' -e 's/[[:space:]]*$//')
        value=$(echo "$value" | sed -e 's/^[[:space:]]*//' -e 's/[[:space:]]*$//')
        export $key="$value"
    done < "$CONFIG"
}

#########################################################


CONFIG=/etc/TARWIS.conf

readconf

MAINFILE="$TARWIS_DIRECTORY"/UBERN_TESTBED_IMPLEMENTATION/LOCAL/LocalTestbed.pl

MAINFILE=`echo $MAINFILE | sed 's,//,/,g'`

perl $MAINFILE

sleep 1

echo "testing for errors:" 
cat /opt/TARWISServer/UBERN_TESTBED_IMPLEMENTATION/LOCAL/*.err
echo "done"