#!/bin/bash

##########################################################

function readconf() {
    while read line; do
        # skip comments
        [[ ${line:0:1} == "#" ]] && continue
        # skip empty lines
        [[ -z "$line" ]] && continue
        line=`echo $line | awk -F "#" '{print $1}'`
        # echo line=$line
        key=${line//=*}
        value=${line//*=}
        key=$(echo "$key" | sed -e 's/^[[:space:]]*//' -e 's/[[:space:]]*$//')
        value=$(echo "$value" | sed -e 's/^[[:space:]]*//' -e 's/[[:space:]]*$//')
        # echo key=$key
        # echo value=$value
        export $key="$value"
    done < "$CONFIG"
}

#########################################################

# read in the configuration file

CONFIG=/etc/TARWIS.conf

readconf

echo "session manager service url: " $SESSION_MANAGEMENT_SERVICE_URL

safe_pattern=$(printf "%s\n" "$SESSION_MANAGEMENT_SERVICE_URL" | sed 's/[][\.*^$/]/\\&/g')
echo "setting SESSION_MANAGEMENT_SERVICE_URL according to the /etc/TARWIS.conf settings"
sed -i 's/<soap\:address location=.*>/<soap\:address location=\"'$safe_pattern'\"\/>/g' $TARWIS_DIRECTORY/WSDL/SessionManagementService.wsdl





MAINFILE="$TARWIS_DIRECTORY"/UBERN_TESTBED_IMPLEMENTATION/TestbedAccessMainBERN.pl

MAINFILE=`echo $MAINFILE | sed 's,//,/,g'`

perl $MAINFILE

sleep 1

echo "testing for errors:" 
cat /opt/TARWISServer/UBERN_TESTBED_IMPLEMENTATION/*.err
echo "done"