<!--
*******************************************************************************
  including Header and Menues
*************************************************************************** -->
<?php
include '../include/header.php';
?>
<div id='pageHeader' class='pageHeader'>
<?php
include '../include/menue.php';
include 'expSetupMenue.php';
?>
</div> <!-- end div container 'pageHeader' -->
<!-- ********************************************************************** -->


<!--
*******************************************************************************
  div container for 'pageContent'
*************************************************************************** -->
<div id='pageContent' class='pageContent'>    
<?php
    require_once('../include/configurations.php');
    require_once("../include/classes.inc.php");
    require_once("../include/functions.php");
    require_once('../include/RSService/RSService.php');
    Db::getInstance()->selectDB("wsn_info");
    $from = gmdate("Y-m-d H:i:s", time());
    $fromTimestamp = strtotime($from);
    $toTimestamp = strtotime("2020-12-31 23:35:39");
    $to = strftime("%Y-%m-%d %H:%M:%S", $toTimestamp);
    $userID = $_SERVER['personUniqueID'];
    if(!empty($_POST['delRes']))
    {
        deleteReservation($_POST['resKey'], $userID);
    }
    else if(!empty($_POST['delExp']))
    {
        Db::getInstance()->deleteExperiment($_POST['resKey']);
    }
    
    
    // if this is a testbed maintainer, filter out other users' experiments here
    $isTestbedMaintainer = 0;
    if(checkAccessRights($_SERVER['personUniqueID'], "maintainReservation") || checkAccessRights($_SERVER['personUniqueID'], "maintainTestbed")) {
       $isTestbedMaintainer = 1;
    }
    
	
    if($isTestbedMaintainer) {
        try {
            $myResArr = getMyReservationsAsTestbedMaintainer_onlyMine($from, $to, $userID);
        }
        catch (SoapFault $fault2)
        {
            $faultstring = "<b>Fault Message:</b> " . $fault2->faultstring  . "<br/> (<b>Error Code:</b> " . $fault2->faultcode . ")";
        }
        
    }
    else {
        try {
            $myResArr = getMyReservations($from, $to, $userID);
        }
        catch (SoapFault $fault2)
        {
            $faultstring = "<b>Fault Message:</b> " . $fault2->faultstring  . "<br/> (<b>Error Code:</b> " . $fault2->faultcode . ")";
        }
    }
    $myExpArr = Db::getInstance()->getAllOwnExperimentConfigurations($userID);
?>

<!--
*******************************************************************************
  div container for 'infoBox'
*************************************************************************** -->
<div id='expSetupMyExpInfoBox' class='infoBox'>
<!-- Information text about the experiment (name, id, start, end, description) -->
<div id='expSetupMyExpInfoText' class='infoText'>
<?php
    if(checkAccessRights($_SERVER['personUniqueID'], "createExperiment"))
    {
        if(empty($faultstring))
        {
            echo "<p><strong>My Experiments:</strong> You can find your experiments and your unconfigured reservations</p>";  
        }
        else
        {
            echo "<p><font color='#FF000'>" . $faultstring . "</font></p>";
            exit;
        }
    }
    else
    {
        echo "<p><font color='#FF000'>" . "<strong>Error:</strong> You are not allowed to create experiments on the testbed!" . "</font></p>";
        exit;
    }
?>
</div>
  
<div id='expSetupSelCrossLine' class='crossLine'>
&nbsp;
</div>

</div> <!-- end div container 'infoBox' -->

<!--
*******************************************************************************
  div container for 'contentBox'
*************************************************************************** -->
<div id='expSetupMyExpContentBox' class='contentBox'>
<?php

    // THE YET UNCONFIGURED EXPERIMENTS:
    //echo "myResArr: <pre>";
    //print_r($myResArr);
    //echo "</pre>";
    
    //echo "<pre>";
    //print_r($myExpArr);
    //echo "</pre>";

    echo "<br/><strong><font size='4'>My Unconfigured Experiments: </font></strong><br/><br/>";

    //echo "<pre>";
    //echo "count > 0:";
    //print_r(count($myResArr->reservationData));
    //echo "</pre>";
        
    $numUnconfExps = 0;
    if(count($myResArr->reservationData)>0 || is_array($myResArr) )
    { 
        
        if(count($myResArr->reservationData) == 1)
        {
            $myResArr = array($myResArr->reservationData);
        }
        else if(count($myResArr->reservationData) == 0 && !is_array($myResArr))
        {
            $myResArr = $myResArr->reservationData;
        }
        else if(count($myResArr->reservationData) >= 1 && is_array($myResArr->reservationData)) {
            $myResArr = $myResArr->reservationData;
        }
        uasort($myResArr, "sortResCallback");
    
        foreach($myResArr as $myRes)
        {
            //$resKey = $myRes->secretReservationKey->secretReservationKey;
            $resKey = $myRes->data->secretReservationKey;
            
            // here, check if the resKey is also in the myExpArray! If yes, there's an 
            // experiment in the experiment_info db!
            
            //echo "<pre>";
            //echo "iterating over resKeys:";
            //print_r($resKey);
            //echo "</pre>";
            
            $lastExp;
            
            if(empty($myExpArr[$resKey]))
            {
                $numUnconfExps++;
                echo "\n\n<a name=exp" . $resKey . "></a>\n";
                echo "<table style='border: 1px solid black'>\n";
                echo "<colgroup>\n";
                echo "<col width='200'>\n";
                echo "<col width='500'>\n";
                echo "</colgroup>\n";
                echo "<tr>";
                echo "<td><strong>User:</strong></td><td bgcolor='#F2F2F2'>" . $myRes->data->username . "</td>\n";
                echo "</tr>";    
                echo "<tr>";
                echo "<td><strong>Experiment ID:</strong></td>" . "<td bgcolor='#F2F2F2'>" . $resKey . "</td>\n";
                echo "</tr>";    
                echo "<tr>";    
                echo "<td><strong>Name:       </strong></td>" . "<td bgcolor='#F2F2F2'>" . "" . "</td>\n";
                echo "</tr>";    
                echo "<tr>";    
                echo "<td style='vertical-align:top'><strong>Description: </strong></td>";
                echo "<td bgcolor='#F2F2F2'><i>no description supplied</i></td>";
                echo "</tr>";        
                echo "<tr>";        
                echo "<td><strong>Start: </strong></td><td bgcolor='#F2F2F2'>" . $myRes->from . "</td>\n";
                echo "</tr>";        
                echo "<tr>";        
                echo "<td><strong>End: </strong></td><td bgcolor='#F2F2F2'>" . $myRes->to . "</td>\n";
                echo "</tr>";
                echo "<tr>";
                $fromTimestamp = strtotime($myRes->from);
                $toTimestamp = strtotime($myRes->to);
                $now = gmdate("Y-m-d H:i:s", time());
                $nowTimestamp = strtotime($now); 
                //$nowTimestamp = strtotime("now");
                if($toTimestamp > $nowTimestamp )
                {
                    //echo "<td>" . "<form name='configExpForm' action='expSetupCfg.php' method='POST'>" . "<input type='submit' id='configExp' name='configExp' value='Configure'>" . "<input name='resKey' type='hidden' value='" . $resKey . "'>" . "</form>" . "</td>";
                    //echo "<td>" . "<form name='delExpForm' action='' method='POST'>" . "<input type='submit' id='delRes' name='delRes' value='Delete'>" . "<input name='resKey' type='hidden' value='" . $resKey . "'>" . "</form>";
                    //echo "</td>";
                    echo "<td>" . "" . "</td>";
                    echo "<td>";
                    echo "<table border='0' width='100%' cellspacing='0' cellpadding='0'><tr>";
                    echo "<td width='50%'><form STYLE='margin: 0px; padding: 0px;' enctype='multipart/form-data' name='configExpForm' action='expSetupCfg.php' method='POST'><input type='submit' id='configExp' name='configExp' value='Configure Experiment'/><input name='resKey' type='hidden' value='" . $resKey . "'/></form></td>\n";
                    echo "<td width='50%' align='right'><form  STYLE='margin: 0px; padding: 0px;' enctype='multipart/form-data' name='delExpForm' "; 
                    if(strlen($lastExp)>0) {
                        echo " action='expSetupMyExp.php#exp" . $lastExp . "' method='POST'>";
                    }
                    else {
                        echo " action='expSetupMyExp.php' method='POST'>\n";    
                    }
                    echo "<input type='submit' id='delRes' name='delRes' value='Delete Experiment & Reservation'>\n";
                    echo "<input name='resKey' type='hidden' value='" . $resKey . "'/></form></td>";
                    echo "</tr></table>";
                    echo "</td>";
                }
                echo "</tr>";
                echo "</form>";
                echo "</table>";
                $lastExp = $resKey;
                echo "<br/>";
            }
        } // foreach
    } // if count > 0
  
    if($numUnconfExps == 0 || empty($myResArr))
    {
        echo "<br/><i>no <strong>unconfigured</strong> experiments saved</i><br/>";
        echo "<br/>";
    }
    else {
        echo "<br/>";
    }

  
    // THE CONFIGURED EXPERIMENTS:
    echo "<br/>\n\n"; 
    echo "<strong><font size='4'>My Configured Experiments: </font></strong><br/><br/>";
                
    $count = 0;
    if(!empty($myExpArr))
    {
        foreach($myExpArr as $resKey => $myExp)
        {
            $lastExp;
            
            if($myExp['exp_done'] != '1') {
                
                $count++; 
                // set a html anchor!
                echo "\n\n<a name=own" . $myExp['exp_id'] . "></a>\n";
                echo "<table style='border: 1px solid black'>";
                echo "<colgroup>";
                echo "<col width='200'>";
                echo "<col width='500'>";
                echo "</colgroup>";
                echo "<tr>";
                echo "<td><strong>User:</strong></td><td bgcolor='#F2F2F2'>" . $myExp['exp_user_unique_id'] . " (" . $myExp['exp_user_email'] . ")" . "</td>";
                echo "</tr>";    
                echo "<tr>";
                echo "<td><strong>Experiment ID:</strong></td>" . "<td bgcolor='#F2F2F2'>" . $resKey . "</td>";
                echo "</tr>";    
                echo "<tr>";    
                echo "<td><strong>Name:       </strong></td>" . "<td bgcolor='#F2F2F2'>" . $myExp['exp_name'] . "</td>";
                echo "</tr>";    
                echo "<tr>";    
                echo "<td style='vertical-align:top'><strong>Description: </strong></td>";
                if(strlen($myExp['exp_description']) == 0)
                {
                    echo "<td bgcolor='#F2F2F2'><i>no description supplied</i></td>";
                }
                else
                {
                    echo "<td bgcolor='#F2F2F2'>" . $myExp['exp_description'] . "</td>";
                }
                echo "<br>";
                echo "</tr>";        
                echo "<tr>";        
                echo "<td><strong>Start: </strong></td><td bgcolor='#F2F2F2'>" . $myExp['exp_start_time'] . "</td>";
                echo "</tr>";        
                echo "<tr>";        
                echo "<td><strong>End: </strong></td><td bgcolor='#F2F2F2'>" . $myExp['exp_end_time'] . "</td>";
                echo "</tr>";
                echo "<tr>";    
                $fromTimestamp = strtotime($myExp['exp_start_time']);
                $toTimestamp = strtotime($myExp['exp_end_time']);
                $now = gmdate("Y-m-d H:i:s", time());
                $nowTimestamp = strtotime($now); 
                //$nowTimestamp = strtotime("now");
                if($fromTimestamp > $nowTimestamp )
                {
                    //echo "<td>" . "<form name='modifyExpForm' action='expSetupModExp.php' method='POST'>" . "<input type='submit' id='modifyExp' name='modifyExp' value='Modify'>" . "<input name='resKey' type='hidden' value='" . $resKey . "'>" . "</form>" . "</td>";
                    //echo "<td>" . "<form name='delExpForm' action='' method='POST'>" . "<input type='submit' id='delExp' name='delExp' value='Delete'>" . "<input name='resKey' type='hidden' value='" . $resKey . "'>" . "</form>";
                    //echo "</td>";
                    echo "<td>" . "" . "</td>";
                    echo "<td>";
                    echo "<table border='0' width='100%' cellspacing='0' cellpadding='0'><tr>";
                    echo "<td width='50%'><form STYLE='margin: 0px; padding: 0px;' enctype='multipart/form-data' name='modifyExpForm' action='expSetupModExp.php' method='POST'>\n";
                    echo "<input type='submit' id='modifyExp' name='modifyExp' value='Modify Experiment'/>\n"; 
                    echo "<input name='resKey' type='hidden' value='" . $resKey . "'/></form></td>";
                    echo "<input name='exp_id' type='hidden' value='" . $myExp['exp_id'] . "'/></form>";
                    echo "<td width='50%' align='right'>\n";
                    echo "<form  STYLE='margin: 0px; padding: 0px;' enctype='multipart/form-data' name='delExpForm' ";
                    if(strlen($lastExp)>0) {
                        echo " action='expSetupMyExp.php#own" . $lastExp . "' method='POST'>";
                    }
                    else {
                        echo " action='expSetupMyExp.php' method='POST'>";    
                    }
                    echo "<input type='submit' id='delExp' name='delExp' value='Delete Experiment'>\n";
                    echo "<input name='resKey' type='hidden' value='" . $resKey . "'/></form></td>";
                    echo "</tr></table>";
                    echo "</td>";
                }
                else if($fromTimestamp < $nowTimestamp && $toTimestamp > $nowTimestamp && $myExp['exp_done'] == '0')
                {
                    echo "<td>" . "" . "</td>";
                    echo "<td>" . "<i>experiment is running</i>" . "<br>";
                    echo "</td>";
                }
                echo "</tr>";
                echo "</form>";
                echo "</table>"; 
                $lastExp = $myExp['exp_id'];
                //echo "<br/>";
            } 
        } // for loop to create a table for each entry

    }
    if($count == 0)
    {
        echo "<br/><i>no <strong>configured</strong> experiments saved</i><br/>";
        echo "<br/>";
    }  
    
?>

</div> <!-- end div container 'contentBox' -->
<!-- ********************************************************************** -->

</div> <!-- end div container 'pageContent' -->
<!-- ********************************************************************** -->

<!-- closing body and html -->
</body>
</html>
<!-- ********************************************************************** -->
