<!--
*******************************************************************************
  including Header and Menues
*************************************************************************** -->
<?php
include '../include/header.php';
?>
<div id='pageHeader' class='pageHeader'>
<?php
include '../include/menue.php';
include 'expSetupMenue.php';
?>
</div> <!-- end div container 'pageHeader' -->
<!-- ********************************************************************** -->


<!--
*******************************************************************************
  div container for 'pageContent'
*************************************************************************** -->
<div
	id='pageContent' class='pageContent'><?php
	require_once('../include/configurations.php');
	require_once("../include/classes.inc.php");
	require_once("../include/functions.php");

	//delete old graph and tree files
	delfile("*.svg");
	delfile("*.dot");
	delfile("*.xml");
	?> <!--
*******************************************************************************
  div container for 'infoBox'
*************************************************************************** -->
<div id='expSetupSelInfoBox' class='infoBox'><!-- Information text about the experiment (name, id, start, end, description) -->
<div id='expSetupSelInfoText' class='infoText'>
<p><strong>Select Nodes:</strong> Please select the sensor nodes which
you want to use for your experiment. You can get more information about
the node by clicking on it in the tree.</p>
</div>

<!-- Crossline ---------------------------------------------------------- -->
<div id='expSetupSelCrossLine' class='crossLine'>&nbsp;</div>

</div>
<!-- end div container 'infoBox' --> <!-- ********************************************************************** -->


<!--
*******************************************************************************
  div container for 'contentBox'
*************************************************************************** -->
<div id='expObservContentBox' class='contentBox'><?php
$netName = $config['TESTBED_NAME'];
$netFileName = $netName . ".xml";
$net = new Network($netName, $config);
$net->getCompleteSnNetworkFromDB();       //get sensor network including the positions
if(empty($net->sensornodes))              // exit, if there are no sensor nodes in DB
{
	echo "<strong>Error:</strong> No sensor nodes in the database!<br/>";
	exit;
}
?> <!-- div container 'netGraph' --------------------------------------------- -->
<div id='expSetupSelNetGraph' class='netGraphSmall'
<?php echo "style='background-image:url(" . $config['MAP_PATH'] . "/" . $config['MAP_FILE_NAME']. ");background-repeat:no-repeat;padding-right:10pt;'";?>>
	<?php
	$graphFormat = "svg";
	$graphFile = "./" . $netName . "Graph." . $graphFormat;
	$graphWSN = new NetworkGraph($netName, $net);
	$graphWSN->drawGraph();

	if($graphFormat == 'svg')
	{
		echo "<object id='netGraphFileSmall' data='" . $graphFile . "?" . filemtime($graphFile) . "' width='" . $config['MAP_IMG_WIDTH'] . "' height='" . $config['MAP_IMG_HEIGHT'] . "' type='image/svg+xml'>";
		echo "<param name='src' value='" . $graphFile . "'>";
		echo "</object>";
	}
	else
	{
		echo "<img src='" . $graphFile . "'>";
	}
	?></div>
<!-- end div container 'netGraph' --> <!-- ---------------------------------------------------------------------- -->

<!-- div container 'netTree' ---------------------------------------------- -->
<div id='expSetuptSelNetTree' class='netTree'><!-- php section for creating network tree and store them in a XML file -->
	<?php
	$netTree = NetTreeExpSetup::getInstance();
	$netTree->generateNetworkTree($net);
	?> <!-- end php section --> <!-- javascript for tree building and returning node selection -->
<script type="text/javascript">
    tree = new dhtmlXTreeObject(document.getElementById('expSetuptSelNetTree'),"100%","",0);
    tree.setImagePath("../include/dhtmlxtree/codebase/imgs/");
    tree.enableCheckBoxes(true);
    tree.enableDragAndDrop(false);
	tree.enableThreeStateCheckboxes(true);
  	tree.enableHighlighting(true);
  	tree.loadXML("<?php echo $netFileName ?>");
  </script> <!-- end javascript for tree building and returning node selection

  <!-- div container 'hiddenSubmitForm' -->
<div id='expSetupSelSubmitForm' class='hiddenSubmitForm'>
<form enctype="multipart/form-data" action="expSetupCfg.php"
	method="POST" name="expObservSelForm"><input type="hidden"
	name="selectedSNs" value=""> <input type="submit"
	value="Configure Selected Nodes"
	onclick="this.form.selectedSNs.value=getIDsFromSelectedNodes()"></form>
</div

<!-- end div container 'hiddenSubmitForm' --></div>
<!-- end div container 'netTree' --> <!-- ---------------------------------------------------------------------- -->

</div>
<!-- end div container 'contentBox' --> <!-- ********************************************************************** -->


</div>
<!-- end div container 'pageContent' -->
<!-- ********************************************************************** -->


<!-- closing body and html -->
</body>
</html>
<!-- ********************************************************************** -->
