<?php

// testSOAP:
// - this functions prints the snID and the command
function testSOAP($sn_id, $cmd)
{
  global $config;
  echo "now would call " . $sn_id . ": " . $cmd . " on " . $config['CONTROLLER_SERVICE_URL'];
}


// runCommandSOAPED:
// - this functions runs the command ($cmd) on the 
//   sensor node ($sn_id)
function runCommandSOAPED($sn_id, $cmd)
{
  global $config;
  $url = $config['CONTROLLER_SERVICE_URL'];
  $client = new SoapClient(NULL,
                           array("location" => $url,
                                 "uri"      => "urn:ControllerService",
                                 "style"    => SOAP_RPC));
  
  $output = $client->__call("runCommandController",
                            array($sn_id, $cmd),
                            array("uri"        => "urn:ControllerService",
                                  "soapaction" => "urn:ControllerService#runCommandController"));
}

// runCommandBroadcastSOAPED:
// - this functions runs the command ($cmd) on the
//   sensor nodes array ($sn_ids)
function runCommandBroadcastSOAPED($sn_ids, $cmd)
{
  global $config;

  $param = new SoapParam($sn_ids, "parameters");

  $url = $config['CONTROLLER_SERVICE_URL'];
  $client = new SoapClient(NULL,
                          array("location" => $url,
                                "uri"      => "urn:ControllerService",
                                "style"    => SOAP_RPC));

  $output = $client->__call("runBroadcastCommandController",
                           array($param, $cmd),
                           array("uri"        => "urn:ControllerService",
                                 "soapaction" => "urn:ControllerService#runBroadcastCommandController"));
}

// resetNodesBroadcastSOAPED:
// - this functions resets the nodes in the sensor nodes array ($sn_ids)
function resetNodesBroadcastSOAPED($sn_ids)
{
  global $config;

  $param = new SoapParam($sn_ids, "parameters");

  $url = $config['CONTROLLER_SERVICE_URL'];
  $client = new SoapClient(NULL,
                          array("location" => $url,
                                "uri"      => "urn:ControllerService",
                                "style"    => SOAP_RPC));

  $output = $client->__call("resetNodesBroadcastCommandController",
                           array($param, $cmd),
                           array("uri"        => "urn:ControllerService",
                                 "soapaction" => "urn:ControllerService#resetNodesBroadcastCommandController"));
}





// resetNodeSOAPED
// - this functions resets the node $sn_id
function resetNodeSOAPED($sn_id)
{
  global $config;
  $url = $config['CONTROLLER_SERVICE_URL'];
  $client = new SoapClient(NULL,
                           array("location" => $url,
                                 "uri"      => "urn:ControllerService",
                                 "style"    => SOAP_RPC));
  
  $output = $client->__call("resetNodeController",
                            array($sn_id),
                            array("uri"        => "urn:ControllerService",
                                  "soapaction" => "urn:ControllerService#resetNodeController"));
}

// addUpdateSensorNodeSOAPED
// adds a new sensor node!
function addUpdateSensorNodeSOAPED($sn_id, $x, $y, $z)
{
  global $config;
  $url = $config['CONTROLLER_SERVICE_URL'];
  $client = new SoapClient(NULL,
                           array("location" => $url,
                                 "uri"      => "urn:ControllerService",
                                 "style"    => SOAP_RPC));
  
  $output = $client->__call("addUpdateSensorNode",
                            array($sn_id, $x, $y, $z),
                            array("uri"        => "urn:ControllerService",
                                  "soapaction" => "urn:ControllerService#addUpdateSensorNode"));
}

?>
