<?php
/*
 * SNA-Portal mediates between one or more Authentication and Authorisation
 * Infrastructures and non-AAI-enabled roles.
 * Copyright (C) 2003  Swiss Virtual Campus (http://www.swissvirtualcampus.ch)
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 *
 * $Id: adminPagesControl.inc,v 1.1 2007/10/08 14:05:25 vlry Exp $
 */


/**
 * Prints the HTML code for the page control:
 * 
 * << | 1 | 2 | ... | 5 | 6 | 7 | 8 | 9 | 10 | 11 | 12 | 13 | 14 | 15 | ... | 20 | 21 | >>
 *
 * @param $n_pages Number of pages.
 * @param $page_n Current page nubmer.
 */
function print_pages_control($n_pages,$page_n) {
    if ($page_n > 1) {
        print "<a href=\"javascript:prev_page()\" title=\"Previous Page\">&lt;&lt;</a> ";
    }
    else {
        print "&lt;&lt; ";
    }
    $page_low = $page_n - 5;
    if ($page_low < 1) $page_low = 1;
    $page_high = $page_n + 5;
    if ($page_high > $n_pages) $page_high = $n_pages;
    if ($page_low > 1) {
        print "| <a href=\"javascript:goto_page(1)\" title=\"Go to Page 1\">1</a> ";
    }
    if ($page_low > 2) {
        print "| <a href=\"javascript:goto_page(2)\" title=\"Go to Page 2\">2</a> ";
    }
    if ($page_low > 3) {
        print "| ... ";
    }
    foreach( range($page_low, $page_high) as $page ) {
        if ($page == $page_n) {
            print "| <b>$page</b> ";
        }
        else {
            print "| <a href=\"javascript:goto_page($page)\" title=\"Go to Page $page\">$page</a> ";
        }
    }
    if ($page_high < ($n_pages - 2)) {
        print "| ... ";
    }
    $page = $n_pages - 1;
    if ($page_high < $page) {
        print "| <a href=\"javascript:goto_page($page)\" title=\"Go to Page $page\">$page</a> ";
    }
    $page = $n_pages;
    if ($page_high < $page) {
        print "| <a href=\"javascript:goto_page($page)\" title=\"Go to Page $page\">$page</a> ";
    }
    if ($page_n < $n_pages ) {
        print "| <a href=\"javascript:next_page()\" title=\"Next Page\">&gt;&gt;</a>";
    }
    else {
        print "| &gt;&gt;";
    }
}

?>
