<?php
/* ****************************************************************** */
/*
 * SNA-Portal mediates between one or more Authentication and Authorisation
 * Infrastructures and non-AAI-enabled roles.
 * Copyright (C) 2003  Swiss Virtual Campus (http://www.swissvirtualcampus.ch)
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 *
 * $Id: WebCTIMS_Constants.inc,v 1.11 2004/10/08 14:37:00 vlry Exp $
 */
/* ****************************************************************** */

/**
 * This file includes common constant definitions for the WebCT
 * IMS API.
 *
 * @version $Revision: 1.11 $
 * @package WebCTAPI
 */



/**
* The default URL for the WebCT IMS API 
*
*/
if (! defined("WEBCT_IMS_DEFAULT_URL")) {
   define('WEBCT_IMS_DEFAULT_URL', "http://localhost/webct/systemIntegrationApi.dowebct");
}

if (! defined("WEBCT_IMS_SOURCE_SYSTEM_IDENTIFIER")) {
   define('WEBCT_IMS_SOURCE_SYSTEM_IDENTIFIER', "SNAportal");
}


define('WEBCT_IMS_PARAM_ACTION',     "ACTION");
define('WEBCT_IMS_PARAM_OPTION',     "OPTION");
define('WEBCT_IMS_PARAM_TIMESTAMP',  "TIMESTAMP");
define('WEBCT_IMS_PARAM_TYPE',       "TYPE");
define('WEBCT_IMS_PARAM_SCTMODE',    "SCTMODE");
define('WEBCT_IMS_PARAM_DATASOURCE', "DATASOURCE");
define('WEBCT_IMS_PARAM_TARGET',     "TARGET");
define('WEBCT_IMS_PARAM_ID',         "ID");
define('WEBCT_IMS_PARAM_SOURCE',     "SOURCE");
define('WEBCT_IMS_PARAM_COURSEID',   "COURSEID");
define('WEBCT_IMS_PARAM_GLOBALID',   "GLOBALID");
define('WEBCT_IMS_PARAM_INSTRUCTOR', "INSTRUCTOR");
define('WEBCT_IMS_PARAM_INLINEMODE', "INLINEMODE");
define('WEBCT_IMS_PARAM_ADAPTOR',    "ADAPTOR");
define('WEBCT_IMS_PARAM_CHECKSUM',   "CHECKSUM");
define('WEBCT_IMS_PARAM_AUTH',       "AUTH");



define('WEBCT_IMS_ACTION_IMPORT', "import");
define('WEBCT_IMS_ACTION_EXPORT', "export");
define('WEBCT_IMS_ACTION_CONFIGURE', "configure");

// options for action=import
//
define('WEBCT_IMS_OPTION_RESTRICT', "restrict");
define('WEBCT_IMS_OPTION_UNRESTRICT', "unrestrict");

// options for action=export
//
define('WEBCT_IMS_OPTION_SNAPSHOT', "snapshot");
define('WEBCT_IMS_OPTION_PERSON_RECORD', "person_record");
define('WEBCT_IMS_OPTION_GROUP_FINAL_GRADES', "group_final_grades");
define('WEBCT_IMS_OPTION_GROUP_MIDTERM_GRADES', "group_midterm_grades");

// options for action=configure
//
define('WEBCT_IMS_OPTION_SET_GROUP_IMS_INFO', "set_group_ims_info");
define('WEBCT_IMS_OPTION_IMPORT_GROUP_IMS_INFO', "import_group_ims_info");
define('WEBCT_IMS_OPTION_SET_PERSON_IMS_INFO', "set_person_ims_info");
define('WEBCT_IMS_OPTION_IMPORT_PERSON_IMS_INFO', "import_person_ims_info");
define('WEBCT_IMS_OPTION_GET_PERSON_IMS_INFO', "get_person_ims_info");


define('WEBCT_IMS_ADAPTOR_IMS', "IMS");
define('WEBCT_IMS_ADAPTOR_WEBCT38', "webct38");
define('WEBCT_IMS_ADAPTOR_DATATEL', "datatel");
define('WEBCT_IMS_ADAPTOR_SCT', "SCT");

define('WEBCT_IMS_REQUEST_HTTP_VERSION', 'HTTP/1.0');

// recstatus:
// 1 Add, 2 Update, 3 Delete. Default: Add and Update if already exists
// roletype:
// "01" -> Student
// "02" -> Instructor (D or TA)
//
// <person recstatus="$recstatus">
// ...
// </person>
//
// <membership>
//   ...
//   <member>
//      ...
//      <role recstatus="$recstatus" roletype="$roletype">
//      ...
//      </role>
//   </member>
// </membership>
//
define('WEBCT_IMS_OBJECT_RECSTATUS_ADD',        1);
define('WEBCT_IMS_OBJECT_RECSTATUS_UDPDATE',    2);
define('WEBCT_IMS_OBJECT_RECSTATUS_DELETE',     3);

define('WEBCT_IMS_OBJECT_ROLETYPE_STUDENT',     '01');
define('WEBCT_IMS_OBJECT_ROLETYPE_DESIGNER',  '02');
define('WEBCT_IMS_OBJECT_ROLETYPE_TEACHINGASSISTANT',  '08');

?>
