<?php
/* ****************************************************************** */
/*
 * SNA-Portal mediates between one or more Authentication and Authorisation
 * Infrastructures and non-AAI-enabled roles.
 * Copyright (C) 2003  Swiss Virtual Campus (http://www.swissvirtualcampus.ch) 
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 *
 * $Id: only_redirect.php,v 1.5 2007/03/06 15:20:27 vlry Exp $
 */
/* ****************************************************************** */

/**
 * This is the most simple role adapter. It is suitable for roles
 * which are not protected by any authentication mechanism.
 *
 * The adapter simply redirects the user to the respective URL.
 *
 * @package RoleAdapters
 */



//includes application.inc
require_once("include/application.inc");


//
// start/resume and check session
//
Session::ensureUserSessionValid();

//
// make sure the current user exists
//
$uid= Session::getUID();
$user=& User::reconstituteByUid($uid);
if (is_null($user)) {
    ErrorHandling::fatalErrorAndExit("Could not reconstitute user: $uid");
}

// make sure we have request parameters 'rid' and that this parameter
// identifies a valid role the current user has the right to
// access 
//
$rid = $_REQUEST["rid"];
if (! is_numeric($rid) || $rid <= 0) {
  ErrorHandling::fatalErrorAndExit("expected int > 0 in request parameter 'rid', got '$rid'");
}
$role =& Role::reconstituteById($rid);
if (! $role) {
  ErrorHandling::fatalErrorAndExit("could not reconsitute role with ID '$rid'");
} 

// just get the role URL and redirect the uer to it
// 
$url = $role->getUrl();
if (strpos($url,'http') !== 0) {
    $url= 'http://' . $url;
}
header("Location: $url");
exit;


?>
