<?php
/*
 * SNA-Portal mediates between one or more Authentication and Authorisation
 * Infrastructures and non-AAI-enabled roles.
 *
 * Copyright (C) 2003  Swiss Virtual Campus (http://www.swissvirtualcampus.ch) 
 * Copyright (C) 2004-2006 SWITCH (http://www.switch.ch) 
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 *
 * $Id: login.php,v 1.13 2006/09/29 09:05:25 vlry Exp $
 */


/**
 * Entry page for administrators.
 *
 * @version $Revision: 1.13 $
 * @package AdminPortal 
 * @subpackage AAI
 */

require_once("include/application.inc");
$logger=& Logger::getInstance();


//
// processing
//
if (!isset($_SERVER['Shib-WISEBEDPerson-personUniqueID']) or empty($_SERVER['Shib-WISEBEDPerson-personUniqueID'])) {
    // no unique id from shibboleth
    ErrorHandling::fatalErrorAndExit("AAI HTTP header Shib-WISEBEDPerson-personUniqueID is missing or empty.");
}
$admin_uid= $_SERVER['Shib-WISEBEDPerson-personUniqueID'];

$admin=& Administrator::reconstituteByUid($admin_uid);
if (! is_null($admin) && $admin->isAdministrator() ) {

    // start and init the admin session 
    Session::create();     
    Session::init($admin);

    $logger->info("AAI login: admin $admin_uid login");
    Event::storeAuthEvent("AAI admin login: $admin_uid", $admin->getID());
    $admin->updateLoginDate();

    $location= PORTAL_BASE_URL . "/admin/start-page.php";
    if (isset($_REQUEST['subs'])) {
        $rkey= $_REQUEST['subs'];
        $role=& Role::reconstituteByKey($rkey);
        if ( ! is_null($role)) {
            $rid= $role->getID();
            // redirect directly to the Subscption Management View for this role.
            $location= PORTAL_BASE_URL . "/admin/list-subscriptions.php?rid=$rid";
        }
    }

    // redirect to start page
    header("Location: $location");
    exit();
}

// user is not an admin
Event::storeAuthEvent("AAI user is not an administrator: $admin_uid", 1, EVENT_LEVEL_WARNING);


//
// HTML content
// else user is not authorized
//
require_once("lookandfeel/current/lf-specific-functions.inc");
?>

<html>
<head>
<link rel="stylesheet" href="<?= lf_get_admin_style_sheet_url() ?>" type="text/css">
</head>
<body>
<div align="center" style="margin-top: 2cm">
  <table width="40%" border="0" cellspacing="0" class="data-table">
    <tr>
      <th class="data" width="40%" valign="top">Welcome to the SNAportal</th>
    </tr>  
    <tr>
      <td width="30%" valign="top" class="data-odd last" align="left" style="padding-top: 10; padding-bottom: 10
pt">

You have been authenticated by the WISEBEDaai system and your Home Organization
but you do not have enough privileges to enter the SNAportal as
either Portal Administrator or Role Administrator or Subscription Administrator.  
<p/>
Please <a href="<?= PORTAL_BASE_URL ?>">login as Portal User</a> if you 
want to browse available roles, manage your subscriptions, or
access subscribed roles.
<p/>
      
      </td>
    </tr>
  </table>
</div>



</body>
</html>

