<?php

// bootstrap application
//
require_once("include/application.inc");

define('DEFAULT_FOLLOW_UP_URL', PORTAL_BASE_URL . "/admin/list-actions.php");


/* ***************************************************************** */
/*                        functions                                  */
/* ***************************************************************** */

//
// resume the current session and make sure we have a valid session
//
Session::ensureAdminSessionValid();

$uid= Session::getUID();
$admin=& Administrator::reconstituteByUid($uid);

// check if the administrator object is valid
if (is_null($admin)) {
   ErrorHandling::fatalErrorAndExit("current user is not priviledged to enter this page"); 
}
Session::init($admin);


// delete Action identified by request parameter aid
//
if (isset($_REQUEST["aid"])) {
  $aid= $_REQUEST['aid'];
  $action =& Action::reconstituteById($aid);
  if (! is_null($action)) {
	  $action->delete();
  }
}

// redirect to followup URL 
//
if (isset($_REQUEST["url"])) {
  $url= $_REQUEST["url"];
} else {
  $url= $_SERVER["HTTP_REFERER"];   
}

if (! isset($url) || empty($url)) {
  $url= DEFAULT_FOLLOW_UP_URL;  
}

header("Location: $url");

?>
