<?php
/* ****************************************************************** */
/*
 * SNA-Portal mediates between one or more Authentication and Authorisation
 * Infrastructures and non-AAI-enabled roles.
 * Copyright (C) 2003  Swiss Virtual Campus (http://www.swissvirtualcampus.ch) 
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 *
 * $Id: change-profile.php,v 1.19 2005/03/14 11:57:23 vlry Exp $
 */
/* ****************************************************************** */


/**
* This page displays an HTML for editing the attribute values associated
* with a specific user.
*
* <b>Request Parameters</b>
* <ul>
*   <li>attribute<id>=<value>: sets the value of attribute with internal ID <id> 
*       to <value>. Deletes the attribute is <value> is empty.
*    </li>
* </ul>
*
*
* @version $Revision: 1.19 $
* @package UserPortal
*/

/**
 */
 

// Headerfile for documentation database
require_once("include/application.inc");

// start session and ensure access restrictions
//
Session::ensureUserSessionValid();
I18N::initLocale();
I18N::loadMessageBundle("user/change-profile");

//
// make sure the current user exists
//
$uid= Session::getUID();
$user=& User::reconstituteByUid($uid);
if (is_null($user)) {
    ErrorHandling::fatalErrorAndExit("Could not reconstitute user: $uid");
}

// store attributes that are filled with something
// and delete those who are empty
foreach ($_POST as $key=>$value) {
	
	if (substr($key, 0, 9) == "attribute") {
		
		// $attribute_id needs to be an integer (check User::storeAttribute interface)
		$attributeType_id = (int) substr($key, 9, strlen($key) - 9);
		
		if (trim($value) <> "") {
			if (!$user->isAttributeTrusted($attributeType_id)) {
				$user->storeAttribute($attributeType_id, $value);
			}
		} else {
			$user->deleteAttribute($attributeType_id);
		}
			
	}

}


// ##############################################
// # HTML OUTPUT
// ##############################################

// include the common header
//
include("include/header.inc");

?>
  <h1><?= I18N::getMessage("change-profile.pagetitle") ?></h1>
  <?= I18N::getMessage("change-profile.text1") ?>

  
  <form action="change-profile.php" method="post">
  <table width="90%" border="0" cellspacing="0" class="form-table">
    <tr>
    <td valign="top" align="center" class="form-head" colspan=2>
      <?= I18N::getMessage("change-profile.tabtitle1") ?>
    </td>    
     </tr>  


   <?php for ($id = 1; $id < 23; $id++): ?>
		 <?php
		   $value = $user->getAttribute($id);
		   $name = AttributeType::getAttributeTypeName($id);
	   ?>
	  <tr>
	    <td width="30%" valign="top" class="form-label"><?= $name ?></td>
	    <td width="70%" valign="top" class="form-entry">
	    <?php if ($user->isAttributeTrusted($id)): ?>
	         <?= $value ?>
	    <?php else: ?>
	         <input type="text" name="attribute<?=$id ?>" value="<?= $value ?>" >
	    <?php endif; ?>
	     </td>
	  </tr>
  <?php endfor; ?>



  <tr>
    <td valign="top" align="center" class="form-control" colspan=2>
      <input type="submit" value="<?= I18N::getMessage("change-profile.act.save") ?>" class="button">
    </td>    
  </tr>    
  </table>
  </form>

<?php
// include the common footer
//
include("include/footer.inc");

?>
