<?php
/* ****************************************************************** */
/*
 * SNA-Portal mediates between one or more Authentication and Authorisation
 * Infrastructures and non-AAI-enabled roles.
 * Copyright (C) 2003  Swiss Virtual Campus (http://www.swissvirtualcampus.ch) 
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 *
 * $Id: waitinglist.php,v 1.18 2005/02/18 13:21:52 vlry Exp $
 */
/* ****************************************************************** */


/**
* This page displays the list of roles for which the user has submitted a 
* subscription request the role owner has not accepted  yet.
*
* @version $Revision: 1.18 $
* @package UserPortal
*/

/**
 */


// bootstrap application 
//
require_once("include/application.inc");

// start session and ensure access restrictions
//
Session::ensureUserSessionValid();
I18N::initLocale();
I18N::loadMessageBundle("user/waitinglist");

//
// make sure the current user exists
//
$uid= Session::getUID();
$user=& User::reconstituteByUid($uid);
if (is_null($user)) {
    ErrorHandling::fatalErrorAndExit("Could not reconstitute user: $uid");
}



/* ***************************************************************** */
/*                       HTML output                                 */
/* ***************************************************************** */
include("include/header.inc");
?>
  <h1><?= I18N::getMessage("waitinglist.pagetitle") ?></h1>


  <?= I18N::getMessage("waitinglist.text1") ?>
  <p></p>
  <?= I18N::getMessage("waitinglist.text2") ?>
   
  <p/>
  
  
  <table width="90%" border="0" cellspacing="0" class="data-table">

    <tr>
      <th class="data" width="40%" valign="top"><?= I18N::getMessage("waitinglist.table1.colhead1") ?></th>
      <th class="data" width="30%"><?= I18N::getMessage("waitinglist.table1.colhead2") ?></th>
      <th class="data last" width="30%"><?= I18N::getMessage("waitinglist.table1.colhead3") ?></th>
    </tr>  
  <?php 
     $roles = $user->getPendingSubscriptions();
   ?>
  <?php if (! $roles || count($roles) == 0): ?>
    <tr>
      <td width="100%" valign="top" class="data-odd last" colspan=3 align="center">
      <?= I18N::getMessage("waitinglist.text3") ?>
      </td>
    </tr>
  <?php else: ?>
     <?php for ($i=0; $i < count($roles); $i++): ?>
        <?php 
           $role_info = $roles[$i];
           $style = ($i % 2 == 0) ? "data-even" : "data-odd";
        ?>
		    <tr>
		      <td width="40%" valign="top" class="<?= $style ?>">
		         <?= $role_info["role_title"] ?>      
		      </td>
		      <td width="30%" valign="top" class="<?= $style ?>">
		         <?= Formatting::formatMysqlDate($role_info["date_created"],true) ?>
		      </td>
		      <td width="30%" valign="top" class="<?= $style ?> last">
		      <a href="<?= PORTAL_BASE_URL . "/user/role-details.php?rid=" . $role_info["role_id"] ?>"><?= I18N::getMessage("waitinglist.act.view-details") ?></a> 
		      | <a href="<?= PORTAL_BASE_URL ?>/user/unsubscribe.php?rid=<?= $role_info["role_id"] ?>&url=waitinglist.php"><?= I18N::getMessage("waitinglist.act.cancel") ?></a> 
		      </td>
		    </tr>
    <?php endfor; ?>
  <?php endif; ?>  
  </table>

  
  </td>
</tr>
</table>



<?php
// include common footer
//
include("include/footer.inc");
?>
